extractr docs
Resident Advisor

Global search

GET
/ra/search

RA’s unified search across artists, venues (clubs), promoters, areas, countries, labels and events. Restrict the indices you want and cap the result count.

Costs 2 credits per request.

Authorization

ApiKeyAuth
X-API-Key<token>

API key created in the extractr dashboard (ext_live_...). Also accepted as Authorization: Bearer.

In: header

Query Parameters

q*string

Free-text search term.

Length1 <= length
indices?string

Comma-separated indices. Any of: EVENT, ARTIST, CLUB, PROMOTER, AREA, COUNTRY, LABEL. Omit to search all.

limit?integer
Range1 <= value <= 50
Default10

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/ra/search?q=berlin"
{  "query": "string",  "results": [    {      "id": "9333",      "type": "ARTIST",      "value": "Ben Klock",      "area_name": "string",      "country_name": "string",      "country_code": "string",      "club_name": "string",      "date": "2019-08-24",      "image_url": "http://example.com",      "content_url": "/dj/benklock"    }  ]}
{  "error": {    "code": "invalid_api_key",    "message": "The provided API key is invalid or has been revoked."  }}
{  "error": {    "code": "invalid_api_key",    "message": "The provided API key is invalid or has been revoked."  }}
{  "error": {    "code": "invalid_api_key",    "message": "The provided API key is invalid or has been revoked."  }}
{  "error": {    "code": "invalid_api_key",    "message": "The provided API key is invalid or has been revoked."  }}
{  "error": {    "code": "invalid_api_key",    "message": "The provided API key is invalid or has been revoked."  }}
{  "error": {    "code": "invalid_api_key",    "message": "The provided API key is invalid or has been revoked."  }}
{  "error": {    "code": "invalid_api_key",    "message": "The provided API key is invalid or has been revoked."  }}